package com.bjtdba.poster;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

@SpringBootApplication
@EnableEurekaClient
public class PosterApplication {

    /**
     * 使用spring 提供的restTemplate 发送http 请求
     * 1、创建restTemplate 对象交给容器管理
     * 2、在使用的时候调用  get post 等方法完成
     */
    @Bean
    public RestTemplate waresRestTemplate(){
        return new RestTemplate();
    }

    public static void main(String[] args) {
        SpringApplication.run(PosterApplication.class, args);
    }
}
